package com.wdkl.ncs.android.middleware.model.dos;

import com.fasterxml.jackson.databind.PropertyNamingStrategy;
import com.fasterxml.jackson.databind.annotation.JsonNaming;
import com.wdkl.ncs.android.middleware.model.annotation.Column;
import com.wdkl.ncs.android.middleware.model.annotation.Id;
import com.wdkl.ncs.android.middleware.model.annotation.PrimaryKeyField;
import com.wdkl.ncs.android.middleware.model.annotation.Table;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@Table(name = "ncs_frame")
@ApiModel
@JsonNaming(value = PropertyNamingStrategy.SnakeCaseStrategy.class)
public class FrameDO implements Serializable {

    /**
     * null
     */
    @Column(name = "id")
    @ApiModelProperty(value = "null", required = false)
    @Id(name = "id")
    private Integer id;
    /**
     * null
     */
    @Column(name = "union_id")
    @ApiModelProperty(value = "null", required = false)
    private String unionId;
    /**
     * null
     */
    @Column(name = "create_time")
    @ApiModelProperty(value = "null", required = false)
    private Long createTime;
    /**
     * null
     */
    @Column(name = "update_time")
    @ApiModelProperty(value = "null", required = false)
    private Long updateTime;
    /**
     * null
     */
    @Column(name = "part_id")
    @ApiModelProperty(value = "null", required = false)
    private Integer partId;
    /**
     * 医院shop_id
     */
    @Column(name = "hospital_id")
    @ApiModelProperty(value = "医院shop_id", required = false)
    private Integer hospitalId;
    /**
     * 数据同步时间
     */
    @Column(name = "sync_time")
    @ApiModelProperty(value = "数据同步时间", required = false)
    private Long syncTime;
    /**
     * 类型：0楼、1病房、2床位
     */
    @Column(name = "type")
    @ApiModelProperty(value = "类型：0楼、1病房、2床位", required = false)
    private Integer type;
    /**
     * 名称
     */
    @Column(name = "name")
    @ApiModelProperty(value = "名称", required = false)
    private String name;
    /**
     * 别名
     */
    @Column(name = "alias")
    @ApiModelProperty(value = "别名", required = false)
    private String alias;
    /**
     * 父级id
     */
    @Column(name = "parent_id")
    @ApiModelProperty(value = "父级id", required = false)
    private Integer parentId;
    /**
     * null
     */
    @Column(name = "group_id")
    @ApiModelProperty(value = "null", required = false)
    private Integer groupId;

    /**
     * 别名
     */
    @Column(name = "full_name")
    @ApiModelProperty(value = "全名", required = false)
    private String fullName;


    @PrimaryKeyField
    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }


    public String getUnionId() {
        return unionId;
    }

    public void setUnionId(String unionId) {
        this.unionId = unionId;
    }


    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }


    public Long getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Long updateTime) {
        this.updateTime = updateTime;
    }


    public Integer getPartId() {
        return partId;
    }

    public void setPartId(Integer partId) {
        this.partId = partId;
    }


    public Integer getHospitalId() {
        return hospitalId;
    }

    public void setHospitalId(Integer hostpitalId) {
        this.hospitalId = hostpitalId;
    }


    public Long getSyncTime() {
        return syncTime;
    }

    public void setSyncTime(Long syncTime) {
        this.syncTime = syncTime;
    }


    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }


    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }


    public String getAlias() {
        return alias;
    }

    public void setAlias(String alias) {
        this.alias = alias;
    }


    public Integer getParentId() {
        return parentId;
    }

    public void setParentId(Integer parentId) {
        this.parentId = parentId;
    }


    public Integer getGroupId() {
        return groupId;
    }

    public void setGroupId(Integer groupId) {
        this.groupId = groupId;
    }

    public String getFullName() {
        return fullName;
    }

    public void setFullName(String fullName) {
        this.fullName = fullName;
    }
}